GDB (xrefs)

Typedefs | Functions
/tmp/gdb-8.1/gdb/alpha-bsd-nat.c File Reference
`#include "defs.h"`
`#include "inferior.h"`
`#include "regcache.h"`
`#include "alpha-tdep.h"`
`#include "alpha-bsd-tdep.h"`
`#include "inf-ptrace.h"`
`#include <sys/types.h>`
`#include <sys/ptrace.h>`
`#include <machine/reg.h>`
`#include <sys/procfs.h>`
`#include "gregset.h"`
`#include <sys/signal.h>`
`#include <machine/pcb.h>`
`#include "bsd-kvm.h"`

Go to the source code of this file.

## Typedefs
typedef struct reg | gregset_t
typedef struct fpreg | fpregset_t

## Functions
void | supply_gregset (struct regcache *regcache, const gregset_t *gregsetp)
void | fill_gregset (const struct regcache *regcache, gregset_t *gregsetp, int regno)
void | supply_fpregset (struct regcache *regcache, const fpregset_t *fpregsetp)
void | fill_fpregset (const struct regcache *regcache, fpregset_t *fpregsetp, int regno)
static int | getregs_supplies (int regno)
static void | alphabsd_fetch_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regno)
static void | alphabsd_store_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regno)
static int | alphabsd_supply_pcb (struct regcache *regcache, struct pcb *pcb)
void | _initialize_alphabsd_nat (void)

## Typedef Documentation

## ◆ fpregset_t

typedef struct fpreg fpregset_t

Definition at line 41 of file alpha-bsd-nat.c.

## ◆ gregset_t

typedef struct reg gregset_t

Definition at line 37 of file alpha-bsd-nat.c.

## Function Documentation

## ◆ _initialize_alphabsd_nat()

void _initialize_alphabsd_nat | ( | void |  | ) |

Definition at line 191 of file alpha-bsd-nat.c.

References add_target(), alphabsd_fetch_inferior_registers(), alphabsd_store_inferior_registers(), alphabsd_supply_pcb(), bsd_kvm_add_target(), inf_ptrace_target(), target_ops::to_fetch_registers, and target_ops::to_store_registers.

## ◆ alphabsd_fetch_inferior_registers()

static void alphabsd_fetch_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regno
| ) |  |
| static

Definition at line 87 of file alpha-bsd-nat.c.

References _, alphabsd_supply_fpreg(), alphabsd_supply_reg(), regcache::arch(), gdbarch_fp0_regnum(), getregs_supplies(), perror_with_name(), ptid_get_pid(), ptrace(), PTRACE_TYPE_ARG3, and regcache_get_ptid().

Referenced by _initialize_alphabsd_nat().

## ◆ alphabsd_store_inferior_registers()

static void alphabsd_store_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regno
| ) |  |
| static

Definition at line 120 of file alpha-bsd-nat.c.

References _, alphabsd_fill_fpreg(), alphabsd_fill_reg(), regcache::arch(), gdbarch_fp0_regnum(), getregs_supplies(), perror_with_name(), ptid_get_pid(), ptrace(), PTRACE_TYPE_ARG3, and regcache_get_ptid().

Referenced by _initialize_alphabsd_nat().

## ◆ alphabsd_supply_pcb()

static int alphabsd_supply_pcb | ( | struct regcache * | regcache,
|  | struct pcb * | pcb
| ) |  |
| static

Definition at line 166 of file alpha-bsd-nat.c.

References ALPHA_A0_REGNUM, ALPHA_RA_REGNUM, ALPHA_S0_REGNUM, ALPHA_SP_REGNUM, regcache_raw_supply(), and regnum.

Referenced by _initialize_alphabsd_nat().

## ◆ fill_fpregset()

void fill_fpregset | ( | const struct regcache * | regcache,
|  | fpregset_t * | fpregsetp,
|  | int | regno
| ) |  |

Definition at line 68 of file alpha-bsd-nat.c.

References alphabsd_fill_fpreg().

## ◆ fill_gregset()

void fill_gregset | ( | const struct regcache * | regcache,
|  | gregset_t * | gregsetp,
|  | int | regno
| ) |  |

Definition at line 56 of file alpha-bsd-nat.c.

References alphabsd_fill_reg().

## ◆ getregs_supplies()

static int getregs_supplies | ( | int | regno | ) |
| static

Definition at line 77 of file alpha-bsd-nat.c.

References ALPHA_PC_REGNUM, ALPHA_V0_REGNUM, and ALPHA_ZERO_REGNUM.

Referenced by alphabsd_fetch_inferior_registers(), and alphabsd_store_inferior_registers().

## ◆ supply_fpregset()

void supply_fpregset | ( | struct regcache * | regcache,
|  | const fpregset_t * | fpregsetp
| ) |  |

Definition at line 62 of file alpha-bsd-nat.c.

References alphabsd_supply_fpreg().

## ◆ supply_gregset()

void supply_gregset | ( | struct regcache * | regcache,
|  | const gregset_t * | gregsetp
| ) |  |

Definition at line 50 of file alpha-bsd-nat.c.

References alphabsd_supply_reg().